﻿#modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;
  overflow: auto; }
  #modal .dialog {
    position: relative;
    top: 10%;
    width: 500px;
    max-width: 80%;
    margin: 0 auto;
    background: #fff;
    box-shadow: 0 5px 5px -5px rgba(0, 0, 0, 0.2);
    transition: width 0.15s ease-in-out; }
    #modal .dialog.wide {
      width: 800px;
      max-width: 95%; }
    #modal .dialog > * {
      padding: 10px; }
    #modal .dialog-title {
      background-color: #6A92C0;
      color: #fff;
      font-weight: bold;
      position: relative; }
    #modal .dialog-close {
      float: right;
      color: #fff;
      text-decoration: none; }
    #modal .dialog-content {
      overflow-y: auto;
      overflow-x: hidden; }
    #modal .dialog-buttons:after {
      content: ' ';
      display: table;
      clear: both; }
    #modal .dialog-buttons button {
      font-size: .8rem;
      text-transform: uppercase;
      padding: 10px 25px;
      border-radius: 500px;
      text-decoration: none;
      border: none;
      box-shadow: 7px 7px 5px 1px rgba(0, 0, 0, 0.25);
      float: right;
      margin-left: 10px; }
      #modal .dialog-buttons button a:hover {
        text-decoration: none; }
  #modal .waiting {
    position: relative;
    top: calc(50% - 150px);
    width: 500px;
    max-width: 80%;
    padding: 10px;
    margin: 0 auto;
    background: #fff;
    box-shadow: 0 5px 5px -5px rgba(0, 0, 0, 0.2); }
  #modal .dialog.error .dialog-title {
    background-color: #BF1A1A; }
